(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     16282,        385]
NotebookOptionsPosition[     15731,        364]
NotebookOutlinePosition[     16264,        383]
CellTagsIndexPosition[     16221,        380]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rll", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Manipulate", "[", 
   RowBox[{"(*", "manip", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"roop", "=", 
      RowBox[{"RotationTransform", "[", 
       RowBox[{"Pi", "/", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"vwp", "=", 
      RowBox[{"roop", "[", 
       RowBox[{"bbp", "-", "aap"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"lep", "=", 
      RowBox[{"Norm", "[", 
       RowBox[{"bbp", "-", "aap"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"wwt", "=", 
      RowBox[{"ww", "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "/", 
          RowBox[{"lep", "^", "2"}]}], ")"}], "*", 
        RowBox[{"(", 
         RowBox[{"ww", ".", "vwp"}], ")"}], "*", "vwp"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pprn", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "+", 
          RowBox[{"(", 
           RowBox[{"tt", "*", "ww"}], ")"}]}], "&"}], ",", "rll"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"pprp", "=", 
      RowBox[{"Map", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "+", 
          RowBox[{"(", 
           RowBox[{"tt", "*", "wwt"}], ")"}]}], "&"}], ",", "rll"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Switch", "[", 
      RowBox[{"(*", "switch", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"order", ",", "\"\<translation first\>\"", ",", 
       RowBox[{"ppso", "=", 
        RowBox[{"Polygon", "[", "pprn", "]"}]}], ",", 
       "\"\<relfection first\>\"", ",", "\[IndentingNewLine]", 
       RowBox[{"ppso", "=", 
        RowBox[{"If", "[", "\[IndentingNewLine]", 
         RowBox[{"reflect", ",", 
          RowBox[{"GeometricTransformation", "[", 
           RowBox[{
            RowBox[{"Polygon", "[", "pprp", "]"}], ",", 
            RowBox[{"ReflectionTransform", "[", 
             RowBox[{"vwp", ",", "bbp"}], "]"}]}], "]"}], ",", 
          RowBox[{"Polygon", "[", "pprp", "]"}]}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}], ";", 
     RowBox[{"(*", "switch", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"Switch", "[", 
      RowBox[{"order", ",", "\"\<translation first\>\"", ",", 
       RowBox[{"ppsq", "=", 
        RowBox[{"If", "[", "\[IndentingNewLine]", 
         RowBox[{"reflect", ",", 
          RowBox[{"GeometricTransformation", "[", 
           RowBox[{"ppso", ",", 
            RowBox[{"ReflectionTransform", "[", 
             RowBox[{"vwp", ",", "bbp"}], "]"}]}], "]"}], ",", "ppso"}], 
         "]"}]}], ",", "\"\<relfection first\>\"", ",", 
       RowBox[{"ppsq", "=", "ppso"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Graphics", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Green", ",", 
         RowBox[{"Polygon", "[", "rll", "]"}], ",", "Blue", ",", "ppsq", ",", 
         "\[IndentingNewLine]", "Purple", ",", "\[IndentingNewLine]", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{"aap", ",", "bbp"}], "}"}], "]"}], ",", 
         "\[IndentingNewLine]", "Red", ",", "\[IndentingNewLine]", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}], ",", "ww"}], "}"}], "]"}]}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Axes", "\[Rule]", "True"}], ","}], "*)"}], " ", 
       "\[IndentingNewLine]", 
       RowBox[{"Frame", "\[Rule]", "True"}]}], "\[IndentingNewLine]", "]"}]}],
     ",", "\[IndentingNewLine]", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Order of Isometries\>\"", ",", "12", ",", "Bold"}], "]"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ww", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"aap", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "8"}], ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"bbp", ",", 
        RowBox[{"{", 
         RowBox[{"8", ",", "0"}], "}"}]}], "}"}], ",", "Locator"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"order", ",", 
      RowBox[{"{", 
       RowBox[{"\"\<translation first\>\"", ",", "\"\<relfection first\>\""}],
        "}"}]}], "}"}], ",", "\[IndentingNewLine]", "Delimiter", ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Style", "[", 
     RowBox[{
     "\"\<Reflection following Translation\>\"", ",", "12", ",", "Bold"}], 
     "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"tt", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"reflect", ",", 
      RowBox[{"{", 
       RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
    RowBox[{"Style", "[", 
     RowBox[{
     "\"\<Translation following Reflection\>\"", ",", "12", ",", "Bold"}], 
     "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"reflect", ",", 
      RowBox[{"{", 
       RowBox[{"False", ",", "True"}], "}"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{"tt", ",", "0", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
    " ", 
    RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "\[IndentingNewLine]", 
   "]"}], 
  RowBox[{"(*", "manip", "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.60436548247003*^9, {3.604365629703677*^9, 3.6043656403063087`*^9}, {
   3.604365688782645*^9, 3.604365715259153*^9}, {3.604365864765438*^9, 
   3.604365988681134*^9}, {3.60436604812285*^9, 3.6043660833504953`*^9}, {
   3.604366141093383*^9, 3.604366141972959*^9}, {3.6043662160178423`*^9, 
   3.604366232178692*^9}, {3.6044039926642723`*^9, 3.6044040660521927`*^9}, {
   3.604404116166754*^9, 3.604404119882885*^9}, {3.604404257081738*^9, 
   3.60440426900778*^9}, {3.6044043853800898`*^9, 3.604404386364501*^9}, {
   3.6044053920389347`*^9, 3.6044053926860647`*^9}, {3.6044054419523*^9, 
   3.604405457870388*^9}, 3.6044055239482613`*^9, {3.6046227082195177`*^9, 
   3.6046227091295233`*^9}, {3.6046228116116333`*^9, 3.604622817587536*^9}, {
   3.604622946064896*^9, 3.604622964070606*^9}, {3.604623006228322*^9, 
   3.604623008718801*^9}, {3.604623045477089*^9, 3.604623045907934*^9}, {
   3.604623300906818*^9, 3.60462330222736*^9}, {3.604623389390435*^9, 
   3.604623437779789*^9}, {3.604623747729385*^9, 3.6046237759624033`*^9}, {
   3.604623850492207*^9, 3.604623884909437*^9}, {3.604623952718931*^9, 
   3.604623980155794*^9}, {3.604624650370961*^9, 3.604624696348221*^9}, {
   3.60462474747761*^9, 3.604624748525942*^9}, {3.604624829821024*^9, 
   3.604624836781473*^9}, {3.604624868422386*^9, 3.6046249366637383`*^9}, {
   3.604625369655964*^9, 3.604625503027688*^9}, {3.604625554456934*^9, 
   3.604625555188554*^9}, {3.604625806552369*^9, 3.60462582986663*^9}, {
   3.604678664340927*^9, 3.604678902295278*^9}, {3.604678946715022*^9, 
   3.60467895974609*^9}, {3.604679147886156*^9, 3.6046791832527437`*^9}, {
   3.604679264413488*^9, 3.604679329877796*^9}, {3.6046793748902073`*^9, 
   3.604679432947349*^9}, {3.604685836851759*^9, 3.604685837577701*^9}, {
   3.6046860094362497`*^9, 3.604686050577798*^9}, {3.604686109368595*^9, 
   3.6046861153802233`*^9}, {3.60468616874599*^9, 3.604686252543297*^9}, {
   3.604686285497531*^9, 3.6046863276348867`*^9}, 3.604686373876854*^9, {
   3.604686405663509*^9, 3.604686405808443*^9}, {3.604686456759448*^9, 
   3.604686475037232*^9}, {3.604686508267206*^9, 3.604686508980378*^9}, {
   3.6046866057798223`*^9, 3.604686657910202*^9}, {3.60468669854779*^9, 
   3.604686701229566*^9}, 3.604686753375697*^9, {3.6046867845563393`*^9, 
   3.604686812800591*^9}, 3.60468693913582*^9, 3.6046967824298697`*^9, {
   3.6046968154821672`*^9, 3.604696910969028*^9}, {3.60469697131539*^9, 
   3.604697008639598*^9}, {3.604697050241096*^9, 3.604697071930043*^9}, {
   3.604697117582429*^9, 3.604697167502276*^9}, {3.604697284855796*^9, 
   3.604697308618223*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`aap$$ = {-8, 0}, $CellContext`bbp$$ = {8, 
    0}, $CellContext`order$$ = "translation first", $CellContext`reflect$$ = 
    False, $CellContext`tt$$ = 0, $CellContext`ww$$ = {0, 0}, Typeset`show$$ =
     True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["Order of Isometries", 12, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`ww$$], {0, 0}}, Automatic}, {{
       Hold[$CellContext`aap$$], {-8, 0}}, Automatic}, {{
       Hold[$CellContext`bbp$$], {8, 0}}, Automatic}, {
      Hold[$CellContext`order$$], {"translation first", "relfection first"}}, {
      Hold[
       Style["Reflection following Translation", 12, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[$CellContext`tt$$], 0, 1}, {
      Hold[$CellContext`reflect$$], {False, True}}, {
      Hold[
       Style["Translation following Reflection", 12, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[$CellContext`reflect$$], {False, True}}, {
      Hold[$CellContext`tt$$], 0, 1}}, Typeset`size$$ = {513., {247., 257.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`order$64712$$ = False, $CellContext`tt$64713$$ = 
    0, $CellContext`reflect$64714$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`aap$$ = {-8, 0}, $CellContext`bbp$$ = {8, 
         0}, $CellContext`order$$ = 
        "translation first", $CellContext`reflect$$ = 
        False, $CellContext`tt$$ = 0, $CellContext`ww$$ = {0, 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`order$$, $CellContext`order$64712$$, False], 
        Hold[$CellContext`tt$$, $CellContext`tt$64713$$, 0], 
        Hold[$CellContext`reflect$$, $CellContext`reflect$64714$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`roop = 
        RotationTransform[
         Pi/2]; $CellContext`vwp = $CellContext`roop[$CellContext`bbp$$ - \
$CellContext`aap$$]; $CellContext`lep = 
        Norm[$CellContext`bbp$$ - $CellContext`aap$$]; $CellContext`wwt = \
$CellContext`ww$$ - (2/$CellContext`lep^2) 
         Dot[$CellContext`ww$$, $CellContext`vwp] $CellContext`vwp; \
$CellContext`pprn = 
        Map[# + $CellContext`tt$$ $CellContext`ww$$& , $CellContext`rll]; \
$CellContext`pprp = 
        Map[# + $CellContext`tt$$ $CellContext`wwt& , $CellContext`rll]; 
       Switch[$CellContext`order$$, "translation first", $CellContext`ppso = 
         Polygon[$CellContext`pprn], "relfection first", $CellContext`ppso = 
         If[$CellContext`reflect$$, 
           GeometricTransformation[
            Polygon[$CellContext`pprp], 
            ReflectionTransform[$CellContext`vwp, $CellContext`bbp$$]], 
           Polygon[$CellContext`pprp]]]; 
       Switch[$CellContext`order$$, "translation first", $CellContext`ppsq = 
         If[$CellContext`reflect$$, 
           GeometricTransformation[$CellContext`ppso, 
            
            ReflectionTransform[$CellContext`vwp, $CellContext`bbp$$]], \
$CellContext`ppso], 
         "relfection first", $CellContext`ppsq = $CellContext`ppso]; 
       Graphics[{Green, 
          Polygon[$CellContext`rll], Blue, $CellContext`ppsq, Purple, 
          Line[{$CellContext`aap$$, $CellContext`bbp$$}], Red, 
          Arrow[{{0, 0}, $CellContext`ww$$}]}, 
         PlotRange -> {{-10, 10}, {-10, 10}}, Frame -> True]), 
      "Specifications" :> {
        Style[
        "Order of Isometries", 12, Bold], {{$CellContext`ww$$, {0, 0}}, 
         Automatic, ControlType -> Locator}, {{$CellContext`aap$$, {-8, 0}}, 
         Automatic, ControlType -> Locator}, {{$CellContext`bbp$$, {8, 0}}, 
         Automatic, ControlType -> Locator}, {$CellContext`order$$, {
         "translation first", "relfection first"}}, Delimiter, 
        Style[
        "Reflection following Translation", 12, Bold], {$CellContext`tt$$, 0, 
         1}, {$CellContext`reflect$$, {False, True}}, Delimiter, 
        Style[
        "Translation following Reflection", 12, 
         Bold], {$CellContext`reflect$$, {False, True}}, {$CellContext`tt$$, 
         0, 1}}, "Options" :> {ControlPlacement -> Left}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{959., {307., 315.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.604697171690826*^9, 3.604697203730425*^9, 3.6046972476297407`*^9, 
   3.60469731031982*^9, {3.604697371896625*^9, 3.604697395265925*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"THIS", " ", "NOTEBOOK", " ", 
  "IS"}], "\n", "\"\<Bard - Mathematica - Glide Reflection Demo\>\"", "\
\[IndentingNewLine]", 
 RowBox[{"By", " ", 
  ButtonBox[
   RowBox[{"Ethan", " ", "Bloch"}],
   BaseStyle->"Hyperlink",
   ButtonData->{
     URL["http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"], 
     None},
   ButtonNote->
    "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}], \
"Input",
 CellChangeTimes->{{3.604405357298624*^9, 3.6044053610410557`*^9}}]
},
WindowSize->{1120, 779},
WindowMargins->{{27, Automatic}, {12, Automatic}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> True}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 9431, 220, 1007, "Input"],
Cell[10013, 244, 5174, 101, 680, "Output"]
}, Open  ]],
Cell[15202, 348, 525, 14, 90, "Input"]
}
]
*)

(* End of internal cache information *)
